From 14ab2dbc953e43137dbf875b608c744adeac4980 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Sat, 18 May 2019 08:59:30 -0500
Subject: [PATCH 1/3] New package: gnustep-gui-0.27.0

---
 common/shlibs                |  1 +
 srcpkgs/gnustep-gui-data     |  1 +
 srcpkgs/gnustep-gui-devel    |  1 +
 srcpkgs/gnustep-gui/template | 35 +++++++++++++++++++++++++++++++++++
 4 files changed, 38 insertions(+)
 create mode 120000 srcpkgs/gnustep-gui-data
 create mode 120000 srcpkgs/gnustep-gui-devel
 create mode 100644 srcpkgs/gnustep-gui/template

diff --git a/common/shlibs b/common/shlibs
index d8eb9bbbeb6..55b12c69fbc 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3470,3 +3470,4 @@ libceres.so.1 ceres-solver-1.14.0_1
 libgraphene-1.0.so.0 graphene-1.8.2_1
 libgtk-4.so.0.9400.0 gtk4-3.94.0_1
 libmodule.so.4 libmodule-4.1.0_1
+libgnustep-gui.so.0.27 gnustep-gui-0.27.0_1
diff --git a/srcpkgs/gnustep-gui-data b/srcpkgs/gnustep-gui-data
new file mode 120000
index 00000000000..3f3039526de
--- /dev/null
+++ b/srcpkgs/gnustep-gui-data
@@ -0,0 +1 @@
+gnustep-gui
\ No newline at end of file
diff --git a/srcpkgs/gnustep-gui-devel b/srcpkgs/gnustep-gui-devel
new file mode 120000
index 00000000000..3f3039526de
--- /dev/null
+++ b/srcpkgs/gnustep-gui-devel
@@ -0,0 +1 @@
+gnustep-gui
\ No newline at end of file
diff --git a/srcpkgs/gnustep-gui/template b/srcpkgs/gnustep-gui/template
new file mode 100644
index 00000000000..db332ad772c
--- /dev/null
+++ b/srcpkgs/gnustep-gui/template
@@ -0,0 +1,35 @@
+# Template file for 'gnustep-gui'
+pkgname=gnustep-gui
+version=0.27.0
+revision=1
+build_style=gnu-configure
+hostmakedepends="gnustep-make pkg-config"
+makedepends="gnustep-base-devel libjpeg-turbo-devel tiff-devel"
+depends="gnustep-gui-data"
+short_desc="Graphical user interface class library for GNUstep"
+maintainer="Andrew Benson <abenson+void@gmail.com>"
+license="GPL-2.0-or-later, GPL-3.0-or-later"
+homepage="http://www.gnustep.org/"
+distfiles="http://ftp.gnustep.org/pub/gnustep/core/gnustep-gui-${version}.tar.gz"
+checksum=7991e435944d389366069888eb65b1ef08c5ab39f12b27e804bb372b941bd3d4
+
+nocross="objc doesn't get cross build at present within gcc"
+
+gnustep-gui-data_package() {
+	short_desc+=" - assets"
+	archs=noarch
+	pkg_install() {
+		vmove usr/lib/GNUstep/Sounds
+		vmove usr/lib/GNUstep/Images
+	}
+}
+
+gnustep-gui-devel_package() {
+	short_desc+=" - developement files"
+	depends="${hostmakedepends} ${sourcepkg}>=${version}"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/share/GNUstep/Makefiles
+		vmove "usr/lib/*.so"
+	}
+}

From b00c199ad3b48592664cbf02d4b3f59c729608ab Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Sat, 18 May 2019 09:05:57 -0500
Subject: [PATCH 2/3] New package: gnustep-back-0.27.0

---
 srcpkgs/gnustep-back/template | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/gnustep-back/template

diff --git a/srcpkgs/gnustep-back/template b/srcpkgs/gnustep-back/template
new file mode 100644
index 00000000000..5a03b290b43
--- /dev/null
+++ b/srcpkgs/gnustep-back/template
@@ -0,0 +1,16 @@
+# Template file for 'gnustep-back'
+pkgname=gnustep-back
+version=0.27.0
+revision=1
+build_style=gnu-configure
+hostmakedepends="gnustep-make gcc-objc pkg-config"
+makedepends="gnustep-base-devel gnustep-gui-devel freetype-devel libart-devel
+ cairo-devel libXt-devel libXmu-devel"
+short_desc="Backend library for drawing GNUstep GUIs"
+maintainer="Andrew Benson <abenson+void@gmail.com>"
+license="GPL-3.0-or-later"
+homepage="http://www.gnustep.org/"
+distfiles="http://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${version}.tar.gz"
+checksum=2ed9c69124a3cd0aefe65224044b807dee83ac45218d080a7cbe6b2f12028048
+
+nocross="objc doesn't get cross build at present within gcc"

From 9af5cdc057cda3ee212daade50ecf5f7c5a751c0 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Sat, 25 May 2019 14:38:45 -0500
Subject: [PATCH 3/3] New package: gorm-1.2.23

---
 srcpkgs/gorm/template | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
 create mode 100644 srcpkgs/gorm/template

diff --git a/srcpkgs/gorm/template b/srcpkgs/gorm/template
new file mode 100644
index 00000000000..414f8951199
--- /dev/null
+++ b/srcpkgs/gorm/template
@@ -0,0 +1,14 @@
+# Template file for 'gorm'
+pkgname=gorm
+version=1.2.23
+revision=1
+build_style=gnu-makefile
+make_use_env=yes
+hostmakedepends="gnustep-make"
+makedepends="gnustep-base-devel gnustep-gui-devel"
+short_desc="Graphical Object Relationship Modeller for GNUstep"
+maintainer="Andrew Benson <abenson+void@gmail.com>"
+license="GPL-2.0-or-later"
+homepage="http://www.gnustep.org/experience/Gorm.html"
+distfiles="http://ftp.gnustep.org/pub/gnustep/dev-apps/gorm-${version}.tar.gz"
+checksum=cbd25abbbc85d81d50111be75da14aabce368337694948c95b68b6fdf74eeea2
